Actualizar controladora de modulo (NM-WLC) a version 7.0

Pregunta respondida
Abr 15th, 2011

Tengo una controladora de modulo en un router 2800 con la version 6.0.202.0 y no he podido actulizar a la version 7.0.98.0 o 7.0.218, cuanto termina de pasar el archivo del tftp y empieza a extraerlo se reinicia el puro modulo de repente. Ya le probe via web y por medio CLI y hace lo mismo, en el CLI muestra lo siguiente:

TFTP Code transfer starting.

TFTP receive complete... extracting components.

***** send signal 15 to 242 (info/pid = 1) *****
[<c0103785>] dump_stack+0x15/0x20 (12)
[<c01200a7>] send_signal+0xd7/0x1a0 (44)
[<c01201d1>] specific_send_sig_info+0x61/0xe0 (28)
[<c01202bc>] force_sig_info+0x6c/0xa0 (24)
[<c0133400>] oom_kill_task+0x20/0x30 (16)
[<c013343d>] oom_kill+0x2d/0xf0 (24)
[<c013358f>] out_of_memory+0x8f/0xe0 (16)
[<c013bd20>] try_to_free_pages+0x190/0x1a0 (68)
[<c01343c0>] __alloc_pages+0x210/0x2f0 (52)
[<c01344bb>] __get_free_pages+0x1b/0x40 (8)
[<c015eccc>] __pollwait+0x6c/0xa0 (24)
[<c022e9e7>] datagram_poll+0xd7/0x100 (24)
[<c02289e5>] sock_poll+0x15/0x20 (12)
[<c015ef98>] do_select+0x1a8/0x2f0 (124)
[<c015f353>] sys_select+0x243/0x480 (104)
[<c0102297>] syscall_call+0x7/0xb (-8124)
Terminated

Les agradezco el apoyo.

Saludos.

I have this problem too.
0 votos
Correct Answer by Javier Contreras about hace 3 años 7 meses

Hola

La NM-WLC no soporta la versión 7.0. Unicamente las NME-AIR-WLC pueden ser actualizadas a la 7.0.

Saludos

  • 1
  • 2
  • 3
  • 4
  • 5
Average Rating: 0 (1 ratings)
benavente_edgar Mié, 04/20/2011 - 04:21

Hola Milton, chequeando en la pagina de soporte de cisco, documentan que los posibles errores son:

Upgrade of Controller Firmware Fails

During the upgrade process, you can come across some errors that affect       the upgrade process. This section explains what the error messages mean and how       to eliminate the errors and upgrade the controller.

  • Code file transfer failed-No reply from the           TFTP server—You receive this error message if the TFTP server is not           active. Check to determine if the TFTP service is enabled on the server.

  • Code file transfer failed - Error from server: File was not           found. Aborting transfer—You receive this error message if the OS file           is not present in the default directory of the TFTP server. In order to           eliminate this error, copy the image file to the default directory on the TFTP           server.

  • TFTP Failure while storing in flash!—You receive           this error when there is a problem with the TFTP server. Some TFTP servers have           a limitation on the size of the files that you can transfer. Use a different           TFTP server utility. There are many free TFTP server utilities that are           available. Cisco recommends use of the Tftpd32 version 2.0 TFTP server. Refer           to Tftpd32 in order to download           this TFTP server.

  • The install partitions are destroyed or the image is           corrupted—If you are still unsuccessful after an attempt to upgrade           the software, there is a possibility that your image is corrupted. Contact           Cisco Technical           Support for assistance.

Refer to       Upgrading       the Cisco WLAN Controller Module Software for more information on how to       upgrade the firmware on the WLCM.

No se como tengas la conexion al TFTP Server mi recomendacion es validarte de que la conexion al TFTP server desde el router (NM-WLC) sea lo mas cercana posible, que no poseas filtros de seguridad como ACL´s y otro detalle importante es el Firmware, validarte si esta correcta, no vaya a ser que la misma este corrupta y por eso te aborte el proceso de carga.

Si necesitas que te bajen otro firware postea por acá cual version a ver si alguno puede descargarte con su CCO incluyendome.

Salu2!

El paper esta el siguiente URL: http://www.cisco.com/en/US/partner/products/hw/modules/ps2797/products_tech_note09186a0080811085.shtml#c13

Milton Tizoc Mié, 04/20/2011 - 07:50

Hola Edgar,

Muchas gracias por el comentario, si he tratado de seguir tus recomendaciones de estar lo mas cerca al router conectado, utilizo el mismo programa tftpd32, de hecho con ese actualizo cualquier equipo cisco, y tambien he bajando todas las versiones de la 7.0, pero igual dega sigo haciendo unas pruebas haber si me deja.

Saludos y muchas gracias,

Milton Tizoc.

Milton Tizoc Mié, 08/10/2011 - 06:59

Hi leolaohoo, Thanks for your reply, i had not seen that Bug, in fact i was working fine with version 6.0, the problem was only to upgrade to version 7.0 and i didn't see in the realese of the version 7 says it does not support NM only NME that´s the point i couldn't do it.

Regards.

Acciones

Inicio de sesión or Register to take actions

This Discussion

Posted Abril 15, 2011 at 9:47 AM
Stats:
Respuestas7 Calificación promedio
Visualizaciones1023 Votes:0
Compartido0
Etiquetas 7.0, actualizar, nmwlc
+
 

Discussions Leaderboard